﻿using System;
using System.Collections.Generic;

namespace Demo.ConsoleApp.Data
{
	public partial class Employees
	{
		public Employees()
		{
			EmployeeTerritories = new HashSet<EmployeeTerritories>();
			InverseReportsToNavigation = new HashSet<Employees>();
			Orders = new HashSet<Orders>();
		}

		public int EmployeeId { get; set; }
		public string LastName { get; set; }
		public string FirstName { get; set; }
		public string Title { get; set; }
		public string TitleOfCourtesy { get; set; }
		public DateTime? BirthDate { get; set; }
		public DateTime? HireDate { get; set; }
		public string Address { get; set; }
		public string City { get; set; }
		public string Region { get; set; }
		public string PostalCode { get; set; }
		public string Country { get; set; }
		public string HomePhone { get; set; }
		public string Extension { get; set; }
		public int? ReportsTo { get; set; }
		public string PhotoPath { get; set; }

		public Employees ReportsToNavigation { get; set; }
		public EmployeesExtended EmployeeExtended { get; set; }
		public ICollection<EmployeeTerritories> EmployeeTerritories { get; set; }
		public ICollection<Employees> InverseReportsToNavigation { get; set; }
		public ICollection<Orders> Orders { get; set; }
	}
}
