﻿using Demo.Models;
using Demo.WebApp.Data;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;
using System.Linq;

namespace Demo.Controllers
{
	public class HomeController : Controller
	{
		northwindContext _ctx;
		public HomeController(northwindContext ctx)
		{
			_ctx = ctx;
		}

		public IActionResult Index()
		{
			var x = _ctx.Customers.ToList();
			return View();
		}

		public IActionResult About()
		{
			ViewData["Message"] = "Your application description page.";

			return View();
		}

		public IActionResult Contact()
		{
			ViewData["Message"] = "Your contact page.";

			return View();
		}

		public IActionResult Error()
		{
			return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
		}
	}
}
